Skip to main content
`Ctrl`+`K`

# numpy.char.find

char.find(a, sub, start=0, end=None)

  For each element, return the lowest index in the string where substring `sub` is found, such that `sub` is contained in the range [`start`, `end`).

  Parameters:
    a array_like, with `StringDType`, `bytes_` or `str_` dtype
    sub array_like, with np.bytes_ or np.str_ dtype

      The substring to search for.

    start, end array_like, with any integer dtype

      The range to look in, interpreted as in slice notation.

  Returns:
    y ndarray

      Output array of ints

  See also

  `str.find`

  Examples

      >>> import numpy as np
      >>> a = np.array(["NumPy is a Python library"])
      >>> np.strings.find(a, "Python")
      array([11])